After install Distro Stable-2.210.62-4 Release Date-01-24-13

You should have no problems with the current Stable-2.210.62-5 release, the problems experienced by the OP were corrected, and the other issues noted could not be replicated, and most likely due to issues on the users hardware or local network.

http://schmoozecom.com/distro-download.php

Hello again.

Still not good ?!

Sorry.

////////////////////////////////////////////////////////////


#INCLUDING stringent.sh

stringent.sh copyright michael potter 2008

stringent.sh is intended to reduce the problems associated with

using bash by turning on bash options that make errors more

apparent. This will not eliminate problems and I am sure there

is some case where some problem will be made worse.

USE AT YOUR OWN RISK.

set -o errexit # errexit first

  • set -o errexit
    set -o noclobber
  • set -o noclobber
    set -o nounset
  • set -o nounset
    set -o pipefail # if you fail on this line, get a newer version of bash.
  • set -o pipefail

function traperr
{
declare -i i;
declare -i nestlevel;
declare Message=${1:-""}

nestlevel=${#FUNCNAME[@]}

if (( $nestlevel <= 2 ))
then
echo “ERROR: ${BASH_SOURCE[1]}:${BASH_LINENO[0]} $Message” >&2
else
echo “ERROR: ${FUNCNAME[1]}(${BASH_SOURCE[1]}:~${BASH_LINENO[0]}) $Message” >&2
for (( i = 2 ; i < $nestlevel ; i++ ))
do
echo " ${FUNCNAME[$i]}(${BASH_SOURCE[$i]}:~${BASH_LINENO[($i-1)]})" >&2
done
fi

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 3 ))
then
kill $$
fi
echo -e “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue” >> /dev/tty8
exit 1
}

function traperrsimple
{

Use this function if the above function fails

echo “ERROR: ${BASH_SOURCE[0]} ${LINENO}” >&2

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 1 ))
then
kill $$
fi
}

set -o errtrace

  • set -o errtrace
    trap traperr ERR
  • trap traperr ERR

function errexiton
{
set -o errexit
trap traperr ERR
}

function errexitoff
{
set +o errexit
trap ‘’ ERR
}
#END INCLUDE

test for internet and send back to freepbx

log_info “Testing for internet access”

  • log_info ‘Testing for internet access’
  • echo ‘Testing for internet access’
    INTERFACE=$(ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’
    ++ awk ’ /^default/ { print $5 }’
    ++ ip route show
  • INTERFACE=eth1
    MACADDR=$(ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’
    ++ ip -o link show eth1
    ++ awk ‘/link/ {print $13}’
  • MACADDR=00:10:b5:a6:52:33
    MACHASH=$(echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’
    ++ echo -en 00:10:b5:a6:52:33
    ++ md5sum -
    ++ awk ‘/-/ {print $1}’
  • MACHASH=1110560438faa78cda42d450ce20072b
    ARCH=$(uname -m)
    uname -m)
    uname -m
    ++ uname -m
  • ARCH=i686
    FREEPBXVERS=$(head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version
    ++ head -n 1 /etc/schmooze/pbx-version
  • FREEPBXVERS=2.210.62-5
    INSTALLTYPE=$(cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’)
    cat /installed-version | sed -e 's/.kickstart-([^.]).
    /\1/’)
    cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’
    ++ cat /installed-version
    ++ sed -e 's/.kickstart-([^.]).
    /\1/’
  • INSTALLTYPE=raid-asterisk8
    UARETURN=$(curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/
    ++ curl -s -m 30 -A ‘FreePBX Firstboot FreePBX-2.210.62-5 i686 raid-asterisk8’ --data mac=00:10:b5:a6:52:33 --data mhash=1110560438faa78cda42d450ce20072b http://kickstart.freepbxdistro.org/install-log/
  • UARETURN=’{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-2.210.62-5 i686 raid-asterisk8”,“ipaddr”:“69.17.231.182”,“test”:0,“mac”:“00:10:b5:a6:52:33”,“mhash”:“1110560438faa78cda42d450ce20072b”}}’

echo ${UARETURN} | grep ‘passed’

  • grep passed
  • echo ‘{“status”:“passed”,“data”:{“ua”:"FreePBX’ Firstboot FreePBX-2.210.62-5 i686 ‘raid-asterisk8",“ipaddr”:“69.17.231.182”,“test”:0,“mac”:“00:10:b5:a6:52:33”,“mhash”:“1110560438faa78cda42d450ce20072b”}}’
    {“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-2.210.62-5 i686 raid-asterisk8”,“ipaddr”:“69.17.231.182”,“test”:0,“mac”:“00:10:b5:a6:52:33”,“mhash”:“1110560438faa78cda42d450ce20072b”}}

known good return{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-1.810.210.57 i386 raid”,“ipaddr”:“98.92.113.190”,“mac”:“00:13:e8:dc:ba:47”,“mhash”:“b95057354699ec012de93ac1b833ffd4”,“test”:1}}

errexitoff

  • errexitoff
  • set +o errexit
  • trap ‘’ ERR

Setup logger

remove logger.conf so FreePBX 2.10 can symlink to it

log_info “Cleaning up logging configuration”

  • log_info ‘Cleaning up logging configuration’
  • echo 'Cleaning up logging configuration’
    rm -rf /etc/asterisk/logger.conf
  • rm -rf /etc/asterisk/logger.conf

Install FreePBX RPM

log_info “Please wait while we install FreePBX GUI”

  • log_info ‘Please wait while we install FreePBX GUI’
  • echo 'Please wait while we install FreePBX GUI’
    log_info " This can take anywhere from 5-10 minutes"
  • log_info ’ This can take anywhere from 5-10 minutes’
  • echo ’ This can take anywhere from 5-10 minutes’
    /usr/bin/yum -q -y install freepbx-2.10.0* freepbxdistro-header-2.10.0*
  • /usr/bin/yum -q -y install ‘freepbx-2.10.0*’ ‘freepbxdistro-header-2.10.0*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Package freepbx-2.10.0-99.noarch already installed and latest version
    Package freepbxdistro-header-2.10.0-5.noarch already installed and latest version

Enable modules that in 2.10 are not being enabled from the RPM

log_info " … Enabling Asterisk modules"

  • log_info ’ … Enabling Asterisk modules’
  • echo ’ … Enabling Asterisk modules’
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin disable userpaneltab
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin disable userpaneltab
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found

pull in all freepbx modules and load them

log_info " … Loading all FreePBX modules"

  • log_info ’ … Loading all FreePBX modules’
  • echo ’ … Loading all FreePBX modules’
    which amportal chown
    which amportal
    ++ which amportal
    which: no amportal in (/sbin:/usr/sbin:/bin:/usr/bin)
  • chown
    chown: missing operand
    Try `chown --help’ for more information.
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installlocal
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installlocal
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin upgradeall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin upgradeall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin uninstall backup
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin uninstall backup
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install backup
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install backup
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installlocal
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installlocal
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin upgradeall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin upgradeall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    errexiton
  • errexiton
  • set -o errexit
  • trap traperr ERR

Sysadmin RPM for Sysadmin Module Moved to Firstboot or we can create the incrontab

/usr/bin/yum -q -y install sysadmin-*

  • /usr/bin/yum -q -y install ‘sysadmin-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Package sysadmin-2.6.1-120_centos6.noarch already installed and latest version

Install dahdi.conf file

/usr/bin/yum -q -y install schmooze-dahdi-*

  • /usr/bin/yum -q -y install ‘schmooze-dahdi-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Package schmooze-dahdi-1.0.0-2.noarch already installed and latest version

Install wanpipe for Sangoma Cards

/usr/bin/yum -q -y install wanpipe-*

  • /usr/bin/yum -q -y install ‘wanpipe-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Package wanpipe-3.5.28.6-kernel.2.6.32.220.13.1.el6.dahdi.2.6.1.rel.32.i686 already installed and latest version

Install iSymphony

/usr/bin/yum -q -y install iSymphonyServer-fpbx-*

  • /usr/bin/yum -q -y install ‘iSymphonyServer-fpbx-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Package iSymphonyServer-fpbx-2.7.1_3989-1.noarch already installed and latest version
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    traperr
    ++ traperr
    ++ declare -i i
    ++ declare -i nestlevel
    ++ declare Message=
    ++ nestlevel=2
    ++ (( 2 <= 2 ))
    ++ echo 'ERROR: /etc/pbx_first_boot.sh:158 '
    ERROR: /etc/pbx_first_boot.sh:158
    ++ (( 0 >= 3 ))
    ++ echo -e ‘Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue’
    ++ exit 1

////////////////////////////////////////////////

Hello.

The network manager is unresponsive:

system-config-netwok

it is missing or inccorectly somethin

had installed:

yum install system-config-network-tui

still first boot fail.

!

{“status”:“failed”,“data”:{“ua”:“Mozilla/5.0 (Windows NT 6.0) AppleWebKit/537.17 (KHTML, like Gecko) Chrome/24.0.1312.56 Safari/537.17”,“ipaddr”:“32132132132”,“test”:0},“errormsg”:“Mac Hash did not match”}

I just install FreePBX-2.210.62-5-i386-Full-1359058538.iso in a VirtualBox env. Everything installed as usual.

No problems.

Hello.

Thank you.

Do we need inbound connection with your latest setup?

Besides RTP & SIP.

Eric

Meaning opening router port for fluide install.

Hello I have made countless re-installations.

Still same first boot problems even with good assurance of functionning hardware and wires and router.

I have successfully installed inbetween Asterisk NOW 2.0.2 and adjusted CDR to have fully functional server.

I would like very much to know and make this DISTRO to work ?! :slight_smile:

Eric

AsteriskNOW install fails with complicated linux upgrades done.

Like from php as is to php 5.3

I do not know where but asterisk broke there.

I have installed php 5.3 from webtatic I should have from {yum install php53}

Things need to be official in my quest for stability.

Maybe its that.


I am installing FreePBX-DISTRO 32 bit 1.813.210.58 release date 06/08/2012

Precisely it asks for detailed network configuration which for exemple numerous people would not have, to have had to setup dns manually.

first boot hangs at Sysadmin RPM /usr/bin/yum -q -y install sysadmin-2.5.1-1

waiting long time.

had rebooted . Hang little minutes less at same place . then passed thru.

***Maybe it need more delay. Maybe you script exits rather than wait.

installation went thru.

I know, mine really sucks.

I'm a bastard, but I can't help the fact that when I'm faced with opposite attitudes (we're always right and you're wrong - you have a problem we don't understand, fix it - works for me so you're stupid) I can't stop myself visualizing a 13 year old nerd raging.

Two separate people had the same problem, that apparently was transient because everything is almost OK now (back to that in a moment), nevertheless nobody even considered replying.

I've seen the same reaction in other threads when an experienced, but frustrated user reports a problem: denial at first, then (shock! horror!) moaning that you're given slack for sloppy errors.

You're volunteers, yes, but that doesn't mean trivial errors can be condoned. If you don't have the time to keep things tidy, you're making a bad service to the very thing you (we) love. If the complexity of the ecosystem has spun out of hands, seek for help instead of burying the head in the sand.

Besides, I wasn't looking for help. I was making a live commentary of the problems I was encountering while installing, Did I ever ask for help? When? What post?

Don't forget that it's obvious that SchmoozeCom supports the Distro as a testing ground, a free beta test panel, for their commercial products. Allowing enthusiasts and professionals to deploy their software means an endless free resource of feedback and debugging information.

What I did was a - brutal, possibly - naked account of a series of failed installation attempts, and as such these should be taken. If you feel offended by harsh comments, grow a pair. And learn to say sorry if you made an error.

I'm sorry I made a mistake: yes, an error of judgement. I thought feedback was welcome. At 50, I've learned that feedback, good or bad, must be taken and worked upon.

Now, to the annoying bug in the Distro - still present in the last version.

The network card is NEVER initialized correctly by the anaconda script, leaving a broken network stack that fails on first reboot.

This has been tested on 10 different systems, and the only way to get a system to run the /etc/first_boot.sh script is to bail to TTY1 (CTRL-ALT_F1) and correct the network setup as follows: nano /etc/sysconfig/network-scripts/ifcfg-<interface_name> (usually eth0)You will see something like this: DEVICE="eth0"
HWADDR="<mac_address_of_the_card>"
NM_CONTROLLED=yes
ONBOOT=[yes|no]
Modify it like this: DEVICE="eth0"
HWADDR="<mac_address_of_the_card>"
ONBOOT="yes"
BOOTPROTO="static"
NM_CONTROLLED="yes"
TYPE="Ethernet"
IPADDR=ip.of.the.system
NETMASK=netmask.of.the.network
GATEWAY=ip.of.the.gateway
Save and close, then nano /etc/sysconfig/networkand set it like this: NETWORKING=yes
HOSTNAME=fqdn.of.the.system
Good, now: service network restartVoila! Network running. Launch /etc/first_boot.sh and watch it go.

Of course this setup is good if you want the PBX on a static IP, but I don't see the point of a server on DHCP. Servers should be on static IPs.

I'm renewing my apologies if some sensitive soul got offended by my remarks, nevertheless nobody is perfect. 

Please point me in which post I’ve called anybody an idiot.

If you have a paid job Monday to Friday, it’s on the weekend when you’re most active on the projects you contribute to… Check the FOSS projects activity on SourceForge, you’ll see that.

What’s the problem here, too much feedback?

Or it stings to be called incompetents because something that’s supposed to install doesn’t? What do you expect, to be praised for trying? Do you prefer to be ignored or shunned for another distro?

Guess what, the same hardware installed PIAF without a glitch right after.

And now installs FreePBX Distro too, because you fixed something on the repo, the ISO or the scripts in the meantime.

“Rant and rage”? I’ve reported live what was happening, and I NEVER asked for help or expecting any. Sure, I was bitterly disappointed that something that was working days before suddenly was broken so badly that felt like impending doom.

You feel threatened by too much feedback, or somebody pointing out the obvious?

Don’t worry, I see I’ve touched a nerve here.

Don’t expect any further help, feedback or cooperation, as apparently criticism is not welcome and taken as a personal offence.

I’ve been a member of this forum for 5 years, and I’ve never had anything to complain about. But it’s NOT true I’ve never contributed: many posts I’ve made here and on the trixbox forum have been lost in the site refreshes.

I’ll go back in my corner, quiet as a mouse.

Don’t disturb the driver.

And you know PIAF is really fickle, downloads over 700 packages and builds all from source code.

Nope, something was broken in the repos, because half of the payload was missing.

Now it’s fixed, hurrah.

Back in my quiet corner…

Feedback is welcome. Name calling is childish and that’s what you did you said “What a bunch of incompetents!” and then you are mad at us for being mad at you? Absurd! I can’t believe us! We are the wrong ones not you!

That is everyone’s main issue with you here. If you want to express to the world that we made a dumb mistake then you can and you did that but then you digressed into name calling and you haven’t even apologized for that (directly).

Don't forget that it's obvious that SchmoozeCom supports the Distro as a testing ground, a free beta test panel, for their commercial products. Allowing enthusiasts and professionals to deploy their software means an endless free resource of feedback and debugging information.
Then you go into attacking schmoozecom about releasing the distro for free for our own free debugging and you still expect us to bow down to you and apologize?

Tony already did apologize once. Can we stop the name calling and the conspiracy theories and just move on! You keep saying you are extending an apology but your apology is laced in conspiracy theories about the disto and it’s purpose which makes for an awkward response…no?

What gives you the impression that the business I run uses FreePBX Distro to deploy the systems we sell?
I was evaluating the product to check if it was reliable, to measure the quality of your commercial products.
And surely that experience put me off.

Now, months after, I’ve given FreePBX distro another go, and the current release installs OK (apart from the usual problem with the network configuration), so I might consider including FreePBX 2.10 as the GUI to administer the IP PBX we roll on our own, or even to buy some preinstalled HW.

But don’t make wrong assumptions here.

BTW, brave editing. You’re good at taking things out of context and mashing them up. Ever considered a career in journalism?

I’m not sure if it’s me or…

Carefully reading this thread you can see that the OP could not get the distro to install even after Tony fixed the link on the download web page, and possibly at the end abandoned and went somewhere else - as I did.

I installed PIAF on the same hardware and network setup on which FreePBX failed, and the OP installed AsteriskNOW on his - before breaking it with a careless yum update.

There’s nothing wrong with SchmoozeCom using the Distro for beta and feedback, where did I say it’s wrong?
You read things with your filter on, feeling guilty by default, so everything that CAN be interpreted as a criticism becomes an overwhelming threat you react violently.

Retune your sensors, and read twice before replying.

If one doesn’t want to be called in incompetent, should’t make trivial errors, and should own up when one finds and fixes them.

I’ve installed today a 2.x Distro - getting around the usual network card problem as reported above - on the same testing hardware and using the same CD that was not working when I posted that live report.

Even to the untrained eye it’s obvious that the problem didn’t lie this side, but I’ve not seen anybody here raising a hand and own up.

I might consider apologising when somebody comes around and explains why two people with different skills and hardware had the same problem that is now magically gone.

The first to apologise - in my books - must be who made the first error in the chain.

It’s not about pride, I can apologise to all of you if it makes you feel better, but it feels hollow.

I have so much to contribute to this project (including useful patches and tools) that I don’t want to burn bridges, but it’s for everybody’s benefit if we - on this side of the fence - are told what was wrong.

I don’t want to burn midnight oil to update, upgrade and enhance code and then to see everything die and become abandonware like other experiences we all had (trix, anyone?).

We all deserve to know if we can rely onto an open community that appreciates ALL the type of help that comes, in all guises, and makes good use of it.

If your (not just yours, but that of all the devs here) immediate reaction to criticism is to get your shields up, you project an image of insecurity and high strung situation that doesn’t inspire confidence, alienating people that could contribute.

Relax. Nobody hates you.

Patches, tools and contributions are welcome in the Project and in the forums, name calling and out right slamming the development team is not, that will always be taken personally in any setting, online or in person. Slinging mud on the forum is not the appropriate way to get a fix for your problem, whether caused by the development team, your network or your hardware, or sun spots and solar flares.

This thread is a month old, honestly in development time that is pretty ancient, many lines of code have been modified and changed, without a second thought of your issues. If you do find future bugs please do contribute by submitting a bug report here http://www.freepbx.org/trac/newticket If you have code to contribute or features we should consider, submit them as well, and feel free to post in the forum about them. A bug ticket will get the developers attention quicker than a forum post everytime.

Feel free to submit a ticket on the network issue you mentioned above.

Making statements like
"Don’t forget that it’s obvious that SchmoozeCom supports the Distro as a testing ground, a free beta test panel, for their commercial products. Allowing enthusiasts and professionals to deploy their software means an endless free resource of feedback and debugging information."

as facts is completely off basis and possible slander and I will not stand for it. Our commercial version is much different then the FreePBX Distro and almost nothing is done in the FreePBX Distro as a Beta testing for our commercial PBX and to say so is ridiculous and an outright lie. I have been silent while you attacked me and continue to but I will not be silent when you start spreading lies.

I am locking this thread as its for a version that is not available anymore and a issue from over a month ago with a bad version that got published and pushed by accident.